----------------------------
-- CakeScript (March 29, 2008)
-- by LuaBanana
--
-- Alpha Version
-- shared.lua
----------------------------

function GM:Initialize()

	for k, v in pairs(Teams) do
	
		team.SetUp(k, v["name"], v["color"]);
		
	end
	
end

local DoorTypes =
{

	"func_door",
	"func_door_rotating",
	"prop_door_rotating"

}

function CAKE.IsDoor( door )

	if( !door:IsValid() ) then
		return false;
	end

	local class = door:GetClass();
	
	if( class == "func_door" or class == "func_door_rotating" or class == "prop_door_rotating" ) then
		return true;
	end
	
	--for k, v in pairs( DoorTypes ) do
	
		--if( v == class ) then return true; end
	
	--end
	
	return false;

end